Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000673TestLinkTest Specificationpublic2007-02-26 20:432010-06-05 07:51
ReporterPhilip 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 BETA 5 
Fixed in Version1.9 Beta 4 
Summary0000673: Test case order when imported from file.
DescriptionAfter importing new test cases, they are listed first than the other test cases already in the suite. I think that they should be put in the end of the list just like when they are created.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0001355)
fman (administrator)
2007-02-26 21:29

may be a solution will be:
export and import display order.
(0001357)
Philip (reporter)
2007-02-26 23:15

But if no display order is used they should be put in the end of the list.

After selecting the "Reorder children" button, I notice that the order for the imported test cases was 0 and the order for all the others was 100.
In this case if the order for the imported was 100 the problem would be solved. But in a situation where the order is changed it would be necessary to get the max order.

Other situation related to the order that I notice now is:
If I have test cases order like 101, 102, 103…, when I create a new test case he will get the order 100 and will appear also in the first place of the list. If there are also numbers smaller than 100, new test cases appear in the middle. I think this could be solved if the new test case could be set using the max order.
(0001358)
fman (administrator)
2007-02-27 00:21

May be you are write regarding using max when creating a new testcase

Please be patiente, and we will fix this issue after release of 1.7.0
(0001359)
fman (administrator)
2007-02-27 00:22

I will open a new issue regarding display order on test case creation

- Issue History
Date Modified Username Field Change
2007-02-26 20:43 Philip New Issue
2007-02-26 21:29 fman Note Added: 0001355
2007-02-26 23:15 Philip Note Added: 0001357
2007-02-27 00:21 fman Note Added: 0001358
2007-02-27 00:22 fman Note Added: 0001359
2007-02-27 00:24 fman Relationship added related to 0000675
2008-01-29 15:53 fman Relationship deleted related to 0000675
2010-06-05 07:51 fman Status new => closed
2010-06-05 07:51 fman Assigned To => fman
2010-06-05 07:51 fman Resolution open => fixed
2010-06-05 07:51 fman Fixed in Version => 1.9 Beta 4



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker